summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDean Matzkov (bapa) <bapabooiee@gmail.com>2011-01-28 22:42:20 +0000
committerDean Matzkov (bapa) <bapabooiee@gmail.com>2011-01-28 22:42:20 +0000
commitdcbf4f6e16b386017c0900a384df6482d4309663 (patch)
tree40a0263a7334396369ba55ee1e802ddb9950aa6e /dev-ruby
parentdev-libs/liblightscribe: Simple Version Bump (diff)
downloadsunrise-dcbf4f6e16b386017c0900a384df6482d4309663.tar.gz
sunrise-dcbf4f6e16b386017c0900a384df6482d4309663.tar.bz2
sunrise-dcbf4f6e16b386017c0900a384df6482d4309663.zip
dev-ruby/rjb: New ebuild for bug #353101
svn path=/sunrise/; revision=11738
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/rjb/ChangeLog8
-rw-r--r--dev-ruby/rjb/Manifest4
-rw-r--r--dev-ruby/rjb/metadata.xml6
-rw-r--r--dev-ruby/rjb/rjb-1.3.4.ebuild56
4 files changed, 74 insertions, 0 deletions
diff --git a/dev-ruby/rjb/ChangeLog b/dev-ruby/rjb/ChangeLog
new file mode 100644
index 000000000..78e135991
--- /dev/null
+++ b/dev-ruby/rjb/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-ruby/rjb
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 28 Jan 2011; Dean Matzkov (bapa) <bapabooiee@gmail.com> +rjb-1.3.4.ebuild,
+ +metadata.xml:
+ New ebuild for bug #353101
+
diff --git a/dev-ruby/rjb/Manifest b/dev-ruby/rjb/Manifest
new file mode 100644
index 000000000..004fd6d1e
--- /dev/null
+++ b/dev-ruby/rjb/Manifest
@@ -0,0 +1,4 @@
+DIST rjb-1.3.4.gem 61440 RMD160 ce0a37cf50508e51e41a9a04260dcab955f97683 SHA1 801c69f2d2c4a638acfa06342a6ded4af2e2ffab SHA256 f756a152130a2ac28e7d50d8dbbf766e03df635b6a513e31de3f2850f0d5abc5
+EBUILD rjb-1.3.4.ebuild 1130 RMD160 0eab935ff1c87e634bdd01933f001dcac141c487 SHA1 c27a172d0bb9f34005c90298978950ac42a7c54a SHA256 afcca185a9c47902ec1a92bf1f9346ed3887c874898d645f73eeada6185e9acb
+MISC ChangeLog 237 RMD160 80bd7b9e2ad45c7e0ca387ba4a2ba7dcba94aa91 SHA1 97d5cce315996a979ee702de4ce9403b57e0c9e6 SHA256 2e7fc6e2a451d4a228c9d5e905ca4c1979fe97b84fac42bd2cb0808b9673d8d7
+MISC metadata.xml 229 RMD160 f0f6417bec31ce8baba6d476664f7210c8c84c98 SHA1 e5f94f5caadc6f843fc90bb7959570cd503676fd SHA256 3b08fca3c878bdfc4e7639f477dd542d55a4ab5dce39a475e82633071d13eb3f
diff --git a/dev-ruby/rjb/metadata.xml b/dev-ruby/rjb/metadata.xml
new file mode 100644
index 000000000..e6233b5dc
--- /dev/null
+++ b/dev-ruby/rjb/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer><email>maintainer-wanted@gentoo.org</email></maintainer>
+</pkgmetadata>
diff --git a/dev-ruby/rjb/rjb-1.3.4.ebuild b/dev-ruby/rjb/rjb-1.3.4.ebuild
new file mode 100644
index 000000000..568f0e1f8
--- /dev/null
+++ b/dev-ruby/rjb/rjb-1.3.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+USE_RUBY="ruby18 ruby19"
+
+RUBY_FAKEGEM_EXTRADOC="readme.txt ChangeLog"
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit java-pkg-2 ruby-ng ruby-fakegem
+
+DESCRIPTION="Rjb is a Ruby-Java software bridge"
+HOMEPAGE="http://rjb.rubyforge.org/"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+DEPEND=">=virtual/jdk-1.5"
+RDEPEND=">=virtual/jre-1.5"
+
+pkg_setup() {
+ ruby-ng_pkg_setup
+ java-pkg-2_pkg_setup
+}
+
+each_ruby_prepare() {
+ # force compilation of class file for our JVM
+ rm -rf data
+}
+
+each_ruby_configure() {
+ ${RUBY} -C ext extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+ emake -C ext CFLAGS="${CFLAGS} -fPIC" archflags="${LDFLAGS}" || die "emake failed"
+}
+
+each_ruby_install() {
+ each_fakegem_install
+
+ # currently no elegant way to do this (bug #352765)
+ ruby_fakegem_newins ext/rjbcore.so lib/rjbcore.so
+
+ ruby_fakegem_doins -r data
+
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r samples || die "installing samples failed"
+ fi
+}